︠264e3555-d98e-4a02-a518-80b6f9357751si︠
%md Encontre o zeros da função $f(x)=x+x^2\sin(x)$ em um intervalo de 0 até 20.
︡48419c45-e886-4913-b620-3c98055f8f8f︡{"md":"Encontre o zeros da função $f(x)=x+x^2\\sin(x)$ em um intervalo de 0 até 20."}︡{"done":true}︡
︠99d8e588-c654-4f28-b12c-95587a00b228s︠
%md **Solução**:
︡ef82b0ee-1c06-45ea-9997-9411b5e227b5︡{"md":"**Solução**:"}︡{"done":true}︡
︠fc203694-41e3-4568-b1d9-ed3ec0744aacs︠

︡fd6b406d-493b-4c52-893a-c084578cb3d2︡{"done":true}︡
︠6609fa6f-cbff-4ecb-98d6-ab21486eb0ebs︠
f=x+x^2*sin(x)
Ox=range(0,21)
Oy=range(-200,400, 100)
plot(f,(x,0,20), figsize=[6,4],ticks=[Ox,Oy], gridlines=True)
︡d5abf362-ed99-47e1-9bd7-4b05519af88c︡{"file":{"filename":"/projects/195a1c48-6eb8-40e9-a2c3-109d9f642aff/.sage/temp/compute2-us/10085/tmp_tqeXhS.svg","show":true,"text":null,"uuid":"f346656e-fde5-4dee-98ee-b52aeb82667c"},"once":false}︡{"html":"<div align='center'></div>"}︡{"done":true}︡
︠42a77455-f158-4f2a-804b-e62960c43c62s︠
intervalos=[(i, i+1) for i in Ox if i<20]
intervalos

︡a129e39c-6129-42bb-a245-70edac54d215︡{"stdout":"[(0, 1), (1, 2), (2, 3), (3, 4), (4, 5), (5, 6), (6, 7), (7, 8), (8, 9), (9, 10), (10, 11), (11, 12), (12, 13), (13, 14), (14, 15), (15, 16), (16, 17), (17, 18), (18, 19), (19, 20)]\n"}︡{"done":true}︡
︠738a7521-7ea9-4783-8f8b-985ce8bb744bs︠
raizes=[]
for j in intervalos:
    a=j[0]
    b=j[1]
    try:
        root = find_root(f, a, b)
    except RuntimeError:
            continue

    raizes.append(root)
print raizes
︡fa436afe-3b84-4782-b7d5-c3840f4cf047︡{"stdout":"[0.0, 3.4368289123266766, 6.119024225042324, 9.529904336449029, 12.486196308339682, 15.771411695083252, 18.7963289139448]\n"}︡{"done":true}︡
︠a9bacca0-ed0a-4631-b6d8-e0bd4d969b6cs︠
︡2f2fdeb3-e22e-466e-840f-bef8dd961424︡{"done":true}︡
︠ac86294c-cd1e-4345-844f-8cf84fae40c4s︠
def encontrar_todas_raizes(f,a,b):
    Ox=range(0,b+1)
    Oy=range(-200,400, 100)
    intervalos=[(i, i+1) for i in Ox if i<b]
    raizes=[]
    v=[]
    for j in intervalos:
        a=j[0]
        b=j[1]
        try:
            root = find_root(f, a, b)
        except RuntimeError:
            continue
         
        raizes.append(root)
    
    print  'Todas as raizes de', f, 'entre %d e %d:' %(a,b),'\n'
    for k in range(len(raizes)):
        print raizes[k]
        
    p=plot(f,(x,a,b), figsize=[6,4],ticks=[Ox,Oy], gridlines=True, title=f)
    return p
encontrar_todas_raizes(ln(x)*x, 1, 3)
︡3ce2f777-7a73-43ff-bf7d-9800228f5121︡{"stdout":"Todas as raizes de x*log(x) entre 2 e 3: \n\n1.0\n1.0\n"}︡{"file":{"filename":"/projects/195a1c48-6eb8-40e9-a2c3-109d9f642aff/.sage/temp/compute2-us/20152/tmp_NbBWlf.svg","show":true,"text":null,"uuid":"6c019acd-ab29-4f68-bcac-adb5dfb3480b"},"once":false}︡{"html":"<div align='center'></div>"}︡{"done":true}︡
︠b91eb34a-6c08-48af-9da4-9f237a8c258a︠
print 'Informacao:'
    print '-----------------------------------------------------'
    print 'n','\t','Interacoes', '\t','Maior','\t','Sequencia'
    print  N, '\t', str(vezes), '\t','       ', str(maior),'    ',  sequencia
conjectura3n1()
latex(matrix([[1,1],[0,sqrt(5)/2]])
︡5e6e2c27-c373-4325-aa86-48bbc183ef9e︡
︠0c6daf81-f10d-49b2-9248-240b49c93dc3︠
︡4066f180-6f28-495e-b866-fc46100811d0︡
︠608dedf6-b193-4648-a516-2b8c47bbf045︠
print "o velo %f" %pi
︡3326cc37-a70c-496a-be66-ed60255a1ac8︡{"stdout":"o velo 3.141593\n"}︡{"done":true}︡
︠6269f0f6-6c91-4d5d-b13e-c11886b12068s︠
f=x+x^2*sin(x)
a=0
b=20
Ox=range(0,b+1)
Oy=range(-200,400, 100)
plot(f,(x,a,b), figsize=[6,4],ticks=[Ox,Oy], gridlines=True, title=f)
      
raizes=[]
intervalos=[(i, i+1) for i in Ox if i<b]
for j in intervalos:
    a=j[0]
    b=j[1]
    try:
        r = find_root(f, a, b)
    except RuntimeError:
            continue

    raizes.append(r)
print  'Todas as raizes de', f, 'entre %d e %d:' %(a,b),'\n'
print raizes
p=plot(f,(x,a,b), figsize=[6,4],ticks=[Ox,Oy], gridlines=True, title=f)
save(p, 'plot_root.pdf')
︡6793a855-f854-42da-848d-1fc2751a8681︡{"file":{"filename":"/projects/195a1c48-6eb8-40e9-a2c3-109d9f642aff/.sage/temp/compute2-us/7239/tmp__H_2cd.svg","show":true,"text":null,"uuid":"23aae956-b440-4579-970c-ab269c48c8e5"},"once":false}︡{"html":"<div align='center'></div>"}︡{"stdout":"Todas as raizes de x^2*sin(x) + x entre 19 e 20: \n\n"}︡{"stdout":"[0.0, 3.4368289123266766, 6.119024225042324, 9.529904336449029, 12.486196308339682, 15.771411695083252, 18.7963289139448]\n"}︡{"done":true}︡
︠7f3e666c-5b63-46c4-906c-1def7895fed5s︠
sage: f=x+x^2*sin(x)
sage: a=0
sage: b=20
sage: Ox=range(0,b+1)
sage: Oy=range(-200,400, 100)
sage: plot(f,(x,a,b), figsize=[6,4],ticks=[Ox,Oy], gridlines=True, title=f)
sage:intervalos=[(i, i+1) for i in Ox if i<b]
sage:raizes=[]
sage:for j in intervalos:
    	a=j[0]
    	b=j[1]
    	try:
        	r = find_root(f, a, b)
    	except RuntimeError:
            	continue

    	raizes.append(n(r, digits=4))
sage:print  'Todas as raizes de', f, 'entre %d e %d:' %(a,b),'\n'
sage:print raizes
︡83fbc291-537a-452b-a81f-f8e287360b78︡{"file":{"filename":"/projects/195a1c48-6eb8-40e9-a2c3-109d9f642aff/.sage/temp/compute2-us/7239/tmp_nQiRQK.svg","show":true,"text":null,"uuid":"893fbdc0-0b94-4076-bdbf-a98785b4f62f"},"once":false}︡{"html":"<div align='center'></div>"}︡{"stdout":"Todas as raizes de x^2*sin(x) + x entre 19 e 20: \n\n"}︡{"stdout":"[0.0000, 3.437, 6.119, 9.530, 12.49, 15.77, 18.80]\n"}︡{"done":true}︡
︠289fd059-1969-425a-8cd8-73f916d40e9ds︠
f=x + x^2*sin(x)
y0,x0=find_local_maximum(f,0,20)
y1,x1=find_local_minimum(f,0,20)

sage: plot(f,(0,20))+point((x0,y0),color='red',size=25)
 +point((x1,y1),color='red',size=25)
︡020d9482-033d-44ff-bbde-38bbdc73748f︡{"file":{"filename":"/projects/195a1c48-6eb8-40e9-a2c3-109d9f642aff/.sage/temp/compute2-us/16010/tmp_0XZAWE.svg","show":true,"text":null,"uuid":"896245a6-8702-4a82-bbb5-7baceeb9cef9"},"once":false}︡{"html":"<div align='center'></div>"}︡{"done":true}︡
︠60751459-a904-466d-8a2f-57efed4dc7f4s︠
sage: p=plot(f,(0,20))
sage: m1=point((x0,y0),color='red',size=25)
sage: m2=point((x1,y1),color='red',size=25)
sage: p+m1+m2 
︡e5e60c2c-d391-4c3e-b556-698de6b90db8︡{"file":{"filename":"/projects/195a1c48-6eb8-40e9-a2c3-109d9f642aff/.sage/temp/compute2-us/16010/tmp_kEltcf.svg","show":true,"text":null,"uuid":"dce3f825-8c1b-4068-b6dc-a4463d9e339d"},"once":false}︡{"html":"<div align='center'></div>"}︡{"done":true}︡
︠f62efb03-de18-4d8d-b57b-9dcd99e0ee21i︠
%var x,y
g=y^2-x^2
find_local_maximum(b)
︡ba33bf25-dc72-4e38-97ce-d274aafef234︡










